odf.office Namespace Reference

## Functions

def | Annotation (args)
def | AnnotationEnd (args)
def | AutomaticStyles (args)
def | BinaryData (args)
def | Body (args)
def | ChangeInfo (args)
def | Chart (args)
def | DdeSource (args)
def | Document (version="1.2", args)
def | DocumentContent (version="1.2", args)
def | DocumentMeta (version="1.2", args)
def | DocumentSettings (version="1.2", args)
def | DocumentStyles (version="1.2", args)
def | Drawing (args)
def | EventListeners (args)
def | FontFaceDecls (args)
def | Forms (args)
def | Image (args)
def | MasterStyles (args)
def | Meta (args)
def | Presentation (args)
def | Script (args)
def | Scripts (args)
def | Settings (args)
def | Spreadsheet (args)
def | Styles (args)
def | Text (args)

## Function Documentation

## Annotation()

def odf.office.Annotation | ( |  | args | ) |

Definition at line 26 of file office.py.

Here is the call graph for this function:

## AnnotationEnd()

def odf.office.AnnotationEnd | ( |  | args | ) |

Definition at line 29 of file office.py.

Here is the call graph for this function:

## AutomaticStyles()

def odf.office.AutomaticStyles | ( |  | args | ) |

Definition at line 32 of file office.py.

Here is the caller graph for this function:

## BinaryData()

def odf.office.BinaryData | ( |  | args | ) |

Definition at line 35 of file office.py.

## Body()

def odf.office.Body | ( |  | args | ) |

Definition at line 38 of file office.py.

## ChangeInfo()

def odf.office.ChangeInfo | ( |  | args | ) |

Definition at line 41 of file office.py.

## Chart()

def odf.office.Chart | ( |  | args | ) |

Definition at line 44 of file office.py.

## DdeSource()

def odf.office.DdeSource | ( |  | args | ) |

Definition at line 47 of file office.py.

## Document()

def odf.office.Document | ( |  | version = `"1.2"`,
|  |  | args
| ) |  |

Definition at line 50 of file office.py.

## DocumentContent()

def odf.office.DocumentContent | ( |  | version = `"1.2"`,
|  |  | args
| ) |  |

Definition at line 53 of file office.py.

Here is the caller graph for this function:

## DocumentMeta()

def odf.office.DocumentMeta | ( |  | version = `"1.2"`,
|  |  | args
| ) |  |

Definition at line 56 of file office.py.

Here is the caller graph for this function:

## DocumentSettings()

def odf.office.DocumentSettings | ( |  | version = `"1.2"`,
|  |  | args
| ) |  |

Definition at line 59 of file office.py.

Here is the caller graph for this function:

## DocumentStyles()

def odf.office.DocumentStyles | ( |  | version = `"1.2"`,
|  |  | args
| ) |  |

Definition at line 62 of file office.py.

Here is the caller graph for this function:

## Drawing()

def odf.office.Drawing | ( |  | args | ) |

Definition at line 65 of file office.py.

Here is the caller graph for this function:

## EventListeners()

def odf.office.EventListeners | ( |  | args | ) |

Definition at line 68 of file office.py.

## FontFaceDecls()

def odf.office.FontFaceDecls | ( |  | args | ) |

Definition at line 71 of file office.py.

## Forms()

def odf.office.Forms | ( |  | args | ) |

Definition at line 74 of file office.py.

## Image()

def odf.office.Image | ( |  | args | ) |

Definition at line 77 of file office.py.

## MasterStyles()

def odf.office.MasterStyles | ( |  | args | ) |

Definition at line 80 of file office.py.

## Meta()

def odf.office.Meta | ( |  | args | ) |

Definition at line 83 of file office.py.

## Presentation()

def odf.office.Presentation | ( |  | args | ) |

Definition at line 86 of file office.py.

Here is the caller graph for this function:

## Script()

def odf.office.Script | ( |  | args | ) |

Definition at line 89 of file office.py.

## Scripts()

def odf.office.Scripts | ( |  | args | ) |

Definition at line 92 of file office.py.

## Settings()

def odf.office.Settings | ( |  | args | ) |

Definition at line 95 of file office.py.

## Spreadsheet()

def odf.office.Spreadsheet | ( |  | args | ) |

Definition at line 98 of file office.py.

Here is the caller graph for this function:

## Styles()

def odf.office.Styles | ( |  | args | ) |

Definition at line 101 of file office.py.

## Text()

def odf.office.Text | ( |  | args | ) |

Definition at line 104 of file office.py.